Allied Telesis AT-x510L-28GT-50 Managed L3 Gigabit Ethernet (10/100/1000) 1U Grey

Allied Telesis AT-x510L-28GT-50 Managed L3 Gigabit Ethernet (10/100/1000) 1U Grey

Model AT-x510L-28GT-50Part no. 990-004272-50EAN 767035203331

53 specifications
  • Type1U
  • Weight4.2 kg
  • ColourGrey
  • Switch typeManaged
  • Basic switching RJ-45 Ethernet ports quantity24
  • 10G supportNo
See all specifications

Overview

Type
1U
Weight
4.2 kg
Colour
Grey
Switch type
Managed
Basic switching RJ-45 Ethernet ports quantity
24
10G support
No
Brand
Allied Telesis
Model
AT-x510L-28GT-50
Part number
990-004272-50
EAN / UPC
767035203331, 7670352033310
Also known as
Allied Telesis AT-x510L-28GT-50 Managed L3 Gigabit Ethernet (10/100/1000) 1U Grey

Specifications

53 specifications in 13 groups

Management features

SpecificationValue
Switch typeManaged
Switch layerL3
Quality of Service (QoS) supportYes
Web-based managementYes
System event logYes
MIB supportRFC1212, RFC1213, RFC1227, RFC1239, RFC1724, RFC2011, RFC2012, RFC2013, RFC2096, RFC3418, RFC3621, RFC3636, RFC2819, RFC2863

Ports & interfaces

SpecificationValue
Basic switching RJ-45 Ethernet ports quantity24
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
SFP+ module slots quantity4
Console portRJ-45
Power connectorDC-in jack

Network

SpecificationValue
Networking standardsIEEE 802.2, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3ae, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNo
Port mirroringYes
Full duplexYes
Broadcast storm controlYes
Flow control supportYes
Link aggregationYes
Spanning tree protocolYes
VLAN supportYes
Number of VLANs4094

Data transmission

SpecificationValue
MAC address table16000 entries
Switching capacity128 Gbit/s
Throughput95.2 Mpps
Latency (10-100 Mbps)14.4 µs
Latency (1 Gbps)4.4 µs
Latency (10 Gbps)3.1 µs
Jumbo frames supportYes

Security

SpecificationValue
DHCP featuresDHCP server, DHCP client
IGMP snoopingYes
Security algorithmsEAP-TTLS, MD5, PEAP, SSL/TLS

Multicast features

SpecificationValue
Multicast supportYes

Protocols

SpecificationValue
Management protocolsSNMP, MLD
Data link protocolsLLDP
Supported network protocolsIGMP

Design

SpecificationValue
Rack mountingYes
Form factor1U
Product colourGrey
LED indicatorsYes
SafetyUL60950-1, CAN/CSA-C22.2 No. 60950-1-03, EN60950-1, EN60825-1, AS/NZS 60950.1

Power

SpecificationValue
Power consumption (typical)52 W

Power over Ethernet (PoE)

SpecificationValue
Power over Ethernet (PoE)No

Operational conditions

SpecificationValue
Operating temperature (T-T)0 - 45 °C
Storage temperature (T-T)-25 - 70 °C
Operating relative humidity (H-H)5 - 90%
Storage relative humidity (H-H)5 - 95%
Operating altitude0 - 3048 m
Heat dissipation177 BTU/h

Weight & dimensions

SpecificationValue
Width440 mm
Depth325 mm
Height44 mm
Weight4.2 kg

Certificates

SpecificationValue
CertificationUL, cUL, TUV

What people say

Reviews & ratings

Allied Telesis AT-x510L-28GT-50 Managed L3 Gigabit Ethernet (10/100/1000) 1U Grey

No reviews yet

Be the first to tell others how Allied Telesis AT-x510L-28GT-50 Managed L3 Gigabit Ethernet (10/100/1000) 1U Grey works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does Allied Telesis AT-x510L-28GT-50 Managed L3 Gigabit Ethernet (10/100/1000) 1U Grey work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

Compare Allied Telesis AT-x510L-28GT-50 Managed L3 Gigabit Ethernet (10/100/1000) 1U Grey

All network switch comparisons

Similar products

All network switches